/*--------------------------- ESPAOL -------------------------------------*/
#ifdef SPANISH

#define MSG_YN		"     SI      NO"
#define MSG_NYI		"An no implementado\n"
#define MSG_BATT_ST	"ESTADO de las PILAS"
#define MSG_BATT_VOLT	"Vbat = %01d.%02d Voltios"
#define MSG_BATT_CAP	"Capacidad = %2d %%"
#define MSG_SLIP_RX_Q	"\n\nCola RX pw=%d pr=%d\n"
#define MSG_SLIP_TX_Q	"Cola TX pw=%d pr=%d"
#define MSG_MEM_ST	"ESTADO de la MEMORIA"
#define MSG_MEM_USER	"USER  %4d Kb libres"
#define MSG_MEM_SUPER	"SUPER %4d Kb libres"
#define MSG_MEM_TASK	"TAREA: %d bytes"
#define MSG_TASK_HEAD	"TAREAS  CPU\n\nID PRI ST VT Nombre\n\n"
#define MSG_APP_HEAD	"APLICACIONES\n\n"
#define MSG_FILE_DIR	"Directorio\n\n"
#define MSG_FILE_NF	"%4d ficheros"
#define MSG_FILE_TOT	"TOT %4d ficheros\n"
#define MSG_FILE_FILE	"Fichero\n\n"
#define MSG_FILE_TYPE	"Tipo:%s\n"
#define MSG_FILE_ACT	"<<  VER  DEL "
#define MSG_FILE_DEL_Q	"Borrar Fichero:\n\n%s?"
#define MSG_FILE_DEL_A	"%s\n\n BORRADO"

#define MSG_MAIN_HEAD	"PRINCIPAL\n\n"
#define MSG_MAIN_M1	"UTILIDADES\n\n"
#define MSG_MAIN_M2	"APLICACIONES\n\n"
#define MSG_MAIN_M3	"FICHEROS\n\n"
#define MSG_MAIN_M4	"TAREAS\n\n"
#define MSG_MAIN_M5	"MEMORIA\n\n"

#define MSG_TOOL_HEAD	"UTILIDADES\n\n"
#define MSG_TOOL_M1	"HORA\n\n"
#define MSG_TOOL_M2	"PILAS\n\n"
#define MSG_TOOL_M3	"ESTADISTICAS SLIP\n\n"
#define MSG_TOOL_M4	"CALIBRADO\n\n"
#define MSG_TOOL_M5	"BOOTLOADER SERIE\n\n"
#define MSG_TOOL_M6	"LUZ ON/OFF"

#define MSG_SERIAL_BOOT	"Bootloader Serie"

#define LST_FILE_LTYPE "Borrado","Datos Binarios","Cdigo Binario","Texto","Grfico",\
			      "Grfico 3D","Audio","Animacin","Agenda","Base de Datos",\
			      (char *)0
#define LST_FILE_CODE "Borrado","Cdigo Mquina PIC","Bytecode (JAVA)","Tokem BASIC",\
			      (char *)0
#define LST_FILE_TXT "Borrado","ASCII","ASCII compr.","Hipertexto","fuente ASM",\
			"Fuente C","Fuente C++","Fuente JAVA","Fuente BASIC","Fuente FORTH",\
			(char *)0

#define LST_FILE_GR "Borrado","Pantalla 1bpp","Pantalla 2bpp","Pantalla 4bpp","Ventana",\
			"Ventana compr.","Vector ASCII","Vector bin.",(char *)0
#define MSG_EVENTD_START	"eventd en marcha...\n"
#define MSG_EVENTD_VECTOR	"Vectores -> Flash\n"
#define MSG_FILE_ACTION_NOTSUP	"Formato no soportado"
#define MSG_DEFRAG_NOMEM	"\nNo hay memoria\ndefrag abortado\n"
#define MSG_DEFRAG_Q		"Desfragmentar FS?"
#define MSG_DEFRAG_DO		"Desfragmentando..."
#define MSG_DEFRAG_DONE		"\nTerminado"
#define MSG_PEN_CAL1		"CALIBRADO"
#define MSG_PEN_CAL2		"Pulsa en las"
#define MSG_PEN_CAL3		"cruces"

#endif
/*---------------------------------------------------------------------------*/
/*----------------------------- ENGLISH -------------------------------------*/
#ifdef ENGLISH

#define MSG_YN		"    YES      NO"
#define MSG_NYI		"No Yet Implemented\n"
#define MSG_BATT_ST	"Battery Status"
#define MSG_BATT_VOLT	"Vbat = %01d.%02d Volts"
#define MSG_BATT_CAP	"Capacity = %2d %%"
#define MSG_SLIP_RX_Q	"\n\nRX queue pw=%d pr=%d\n"
#define MSG_SLIP_TX_Q	"TX queue pw=%d pr=%d"
#define MSG_MEM_ST	"MEMORY STATUS"
#define MSG_MEM_USER	"USER  %4d Kb free"
#define MSG_MEM_SUPER	"SUPER %4d Kb free"
#define MSG_MEM_TASK	"TASK: %d bytes"
#define MSG_TASK_HEAD	"TASKS   CPU\n\nID PRI ST VT NAME\n\n"
#define MSG_APP_HEAD	"APPLICATIONS\n\n"
#define MSG_FILE_DIR	"Directory\n\n"
#define MSG_FILE_NF	"%4d files"
#define MSG_FILE_TOT	"TOT %4d files\n"
#define MSG_FILE_FILE	"File\n\n"
#define MSG_FILE_TYPE	"Type:%s\n"
#define MSG_FILE_ACT	"<<  VIEW DEL "
#define MSG_FILE_DEL_Q	"Delete File:\n\n%s?"
#define MSG_FILE_DEL_A	"%s\n\n DELETED"

#define MSG_MAIN_HEAD	"MAIN\n\n"
#define MSG_MAIN_M1	"TOOLS\n\n"
#define MSG_MAIN_M2	"APPLICATIONS\n\n"
#define MSG_MAIN_M3	"FILES\n\n"
#define MSG_MAIN_M4	"TASKS\n\n"
#define MSG_MAIN_M5	"MEMORY\n\n"

#define MSG_TOOL_HEAD	"TOOLS\n\n"
#define MSG_TOOL_M1	"TIME\n\n"
#define MSG_TOOL_M2	"BATTERY\n\n"
#define MSG_TOOL_M3	"SLIP STATS.\n\n"
#define MSG_TOOL_M4	"CALIBRATE\n\n"
#define MSG_TOOL_M5	"SERIAL BOOTLOADER\n\n"
#define MSG_TOOL_M6	"LIGHT ON/OFF"

#define MSG_SERIAL_BOOT	"Serial Bootloader"

#define LST_FILE_LTYPE "Deleted","Binary data","Binary Code","Text","Graph",\
			      "Graph 3D","Audio","Movie","Agenda","Data Base",\
			      (char *)0
#define LST_FILE_CODE "Deleted","PIC Machine Code","Bytecode (JAVA)","Tokem BASIC",\
			      (char *)0
#define LST_FILE_TXT "Deleted","ASCII","zipped ASCII","Hipertex","ASM source",\
			"C source","C++ source","JAVA source","BASIC source","FORTH source",\
			(char *)0

#define LST_FILE_GR "Deleted","Screen 1bpp","Screen 2bpp","Screen 4bpp","Window",\
			"zipped Window","ASCII Vector","bin. Vector",(char *)0
#define MSG_EVENTD_START	"eventd started...\n"
#define MSG_EVENTD_VECTOR	"Vectors -> Flash\n"
#define MSG_FILE_ACTION_NOTSUP	"Formato not supported"
#define MSG_DEFRAG_NOMEM	"\nNo memory\ndefrag aborted\n"
#define MSG_DEFRAG_Q		"Defrag FS?"
#define MSG_DEFRAG_DO		"Defrag running..."
#define MSG_DEFRAG_DONE		"\ndone"
#define MSG_PEN_CAL1		"CALIBRATE"
#define MSG_PEN_CAL2		"Touch on the"
#define MSG_PEN_CAL3		"crosses"

#endif
/*---------------------------------------------------------------------------*/
