#ifdef SPANISH
#define APP_NAME1	"Lissaj"
#define APP_NAME2	"Sonido"
#define APP_NAME3	"Calc"
#define APP_NAME4	"Fotos"
#define APP_NAME5	"minas"
#define APP_NAME6	"MOSFET"
#define APP_NAME7	"AUDIO"
#endif

#ifdef ENGLISH
#define APP_NAME1	"Lissaj"
#define APP_NAME2	"Sound"
#define APP_NAME3	"Calc"
#define APP_NAME4	"Photo"
#define APP_NAME5	"mines"
#define APP_NAME6	"MOSFET"
#define APP_NAME7	"AUDIO"
#endif

typedef struct {
	void 		*entry;
	char 		*name;
	int		stack_size;
	unsigned char	priority;
} app;


extern void calculadora();
extern void test_lissa();
extern void test_sound();
extern void album_fotos();
extern void minas();
extern void mos();
extern void test_audio();

extern void _etext;
extern void _data;
extern void _edata;
extern void _end;

const struct {
	void *etext;
	void *data_beg;
	void *data_end;
	app tabla_app[8];
} aplicaciones={
	&_etext,
	&_data,
	&_end,
	test_lissa,	APP_NAME1,512,16,
	test_sound,	APP_NAME2,512,16,
	calculadora,	APP_NAME3,512,16,
	album_fotos,	APP_NAME4,512,16,
	minas,		APP_NAME5,8192,16,
	mos,		APP_NAME6,1024,16,
	test_audio,	APP_NAME7,512,16,
	0,"",0,0
};

int syscall(int cix,...)
{
	asm volatile ("trap #0");
}
